<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Audio y Video</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section data-bespoke-state='portada'>
      <h1>Audio y Video</h1>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="etiqueta">video</span></h2>
      <ul class="lista">
        <li><span class="atributo">src</span>, ruta al video</li>
        <li><span class="atributo">poster</span>, imagen de presentación</li>
        <li><span class="atributo">preload</span>, <span class="valor">auto</span>, <span class="valor">metadata</span> o <span class="valor">none</span></li>
        <li><span class="atributo">autoplay</span>, inicio automático</li>
        <li><span class="atributo">loop</span>, reproducir en bucle</li>
        <li><span class="atributo">controls</span>, mostrar controles de reproducción</li>
      </ul>
    </section>

    <section data-bespoke-state='clean' class="no-print">
      <video controls src="https://video.blender.org/static/webseed/3d95fb3d-c866-42c8-9db1-fe82f48ccb95-720.mp4" format="video/mp4" class="w-full"></video>
      <h3>Ejemplo:</h3>
      <code><pre><span class="etiqueta">video <span class="atributo">controls</span> <span class="atributo">src=</span><span class="valor">"video.mp4"</span> <span class="atributo">format=</span><span class="valor">"video/mp4"</span></span><span class="etiqueta">/video</span></pre></code>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="etiqueta">source</span></h2>
      <ul class="lista">
        <li>Linea por formato (carga la primera que pueda)</li>
        <li><span class="atributo">src</span>, ruta al video</li>
        <li><span class="atributo">type</span>, formato del video:
          <ul>
            <li>video/mp4</li>
            <li>video/webm</li>
            <li>video/ogg</li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean' class="no-print">
      <video controls="" width="320" height="240">
        <source src="https://www.w3schools.com/TAgs/movie.mp4" type="video/mp4">
        <source src="https://www.w3schools.com/TAgs/movie.ogg" type="video/ogg">
      </video>
      <h3>Ejemplo:</h3>
      <code><pre><span class="etiqueta">video <span class="atributo">controls</span></span>
  <span class="etiqueta">source <span class="atributo">src=</span><span class="valor">"movie.mp4"</span> <span class="atributo">type=</span><span class="valor">"video/mp4"</span></span>
  <span class="etiqueta">source <span class="atributo">src=</span><span class="valor">"movie.ogg"</span> <span class="atributo">type=</span><span class="valor">"video/ogg"</span></span>
<span class="etiqueta">/video</span></pre></code>
    </section>  

    <section data-bespoke-state='clean'>
      <h2><span class="etiqueta">track</span></h2>
      <ul class="lista">
        <li><span class="atributo">label</span>, titulo subtitulo</li>
        <li><span class="atributo">kind</span>, <span class="valor">subtitles</span></li>
        <li><span class="atributo">srclang</span>, idioma del subtitulo</li>
        <li><span class="atributo">src</span>, ruta al subtitulo</li>
        <li><span class="atributo">default</span>, marca el subtitulo por defecto</li>
      </ul>
      <h4>Ejemplo:</h4>
      <code><pre><span class="etiqueta">video <span class="atributo">src=</span><span class="valor">"video/sintel-short.mp4"</span></span>
  <span class="etiqueta">track <span class="atributo">label=</span><span class="valor">"English"</span> <span class="atributo">kind=</span><span class="valor">"subtitles"</span> <span class="atributo">srclang=</span><span class="valor">"en"</span> <span class="atributo">src=</span><span class="valor">"captions/sintel-en.vtt"</span> <span class="atributo">default</span></span>
  <span class="etiqueta">track <span class="atributo">label=</span><span class="valor">"Español"</span> <span class="atributo">kind=</span><span class="valor">"subtitles"</span> <span class="atributo">srclang=</span><span class="valor">"es"</span> <span class="atributo">src=</span><span class="valor">"captions/sintel-es.vtt"</span></span>
<span class="etiqueta">/video</span></pre></code>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="etiqueta">audio</span></h2>
      <ul class="lista">
        <li><span class="atributo">src</span>, ruta al audio</li>
        <li><span class="atributo">preload</span>, <span class="valor">auto</span>, <span class="valor">metadata</span> o <span class="valor">none</span></li>
        <li><span class="atributo">autoplay</span>, inicio automático</li>
        <li><span class="atributo">loop</span>, reproducir en bucle</li>
        <li><span class="atributo">controls</span>, mostrar controles de reproducción</li>
      </ul>
      <h3>Ejemplo:</h3>
      <p>
        <audio controls src="https://github.com/mdn/learning-area/blob/main/html/multimedia-and-embedding/video-and-audio-content/viper.mp3?raw=true"></audio>
      </p>
      <code><pre><span class="etiqueta">audio <span class="atributo">controls</span> <span class="atributo">src=</span><span class="valor">"audio.mp3"</span></span><span class="etiqueta">/audio</span></pre></code>
    </section>

  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });

    function resize(control, idContenedor) {
      var x=document.getElementById(idContenedor);  
      x.style.width=control.value + "px";  
    }
  </script>
</body>

</html>